Package org.silverpeas.components.quickinfo.model

# Interface QuickInfoService

All Superinterfaces:
  `org.silverpeas.core.ApplicationService`

All Known Implementing Classes:
  `DefaultQuickInfoService`

public interface QuickInfoService extends org.silverpeas.core.ApplicationService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `acknowledgeNews(String id, String userId)`
  `News`
  `copyNews(News newsToCopy, org.silverpeas.core.admin.component.model.PasteDetail pasteDetail)`
  Creating new news from an existing one.
  `News`
  `create(News news)`
  `static QuickInfoService`
  `get()`
  `List<News>`
  `getAllNews(String componentId)`
  `NewsByStatus`
  `getAllNewsByStatus(String componentId, String userId)`
  `Optional<News>`
  `getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)`
  `News`
  `getNews(String id)`
  `News`
  `getNewsByForeignId(String id)`
  `List<News>`
  `getNewsForTicker(String userId)`
  `List<News>`
  `getPlatformNews(String userId)`
  `List<News>`
  `getUnreadBlockingNews(String userId)`
  `List<News>`
  `getVisibleNews(String componentId)`
  `void`
  `performReminder(org.silverpeas.core.reminder.Reminder reminder)`
  Performs processes about news linked to given reminder.
  If news is not concerned, nothing is performed.
  `void`
  `publish(String id, String userId)`
  `void`
  `removeNews(String id)`
  `void`
  `submitNewsOnHomepage(String id, String userId)`
  `void`
  `update(News news, List<org.silverpeas.core.pdc.pdc.model.PdcPosition> positions, Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles, boolean forcePublishing)`

  ### Methods inherited from interface org.silverpeas.core.ApplicationService

  `getComponentMessages, getComponentSettings, isRelatedTo`

- ## Method Details

  - ### get

    static QuickInfoService get()

  - ### getContributionById

    Optional<News> getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)
    Specified by:
      `getContributionById` in interface `org.silverpeas.core.ApplicationService`

  - ### create

    News create(News news)

  - ### copyNews

    News copyNews(News newsToCopy, org.silverpeas.core.admin.component.model.PasteDetail pasteDetail)
    Creating new news from an existing one.
    Parameters:
      `newsToCopy` - news to copy.
      `pasteDetail` - the details about the copy (user identifier and component destination).
    Returns:
      a `News` instance representing the created news.

  - ### publish

    void publish(String id, String userId)

  - ### update

    void update(News news, List<org.silverpeas.core.pdc.pdc.model.PdcPosition> positions, Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles, boolean forcePublishing)

  - ### removeNews

    void removeNews(String id)

  - ### getAllNews

    List<News> getAllNews(String componentId)

  - ### getAllNewsByStatus

    NewsByStatus getAllNewsByStatus(String componentId, String userId)

  - ### getVisibleNews

    List<News> getVisibleNews(String componentId)

  - ### getPlatformNews

    List<News> getPlatformNews(String userId)

  - ### getNewsForTicker

    List<News> getNewsForTicker(String userId)

  - ### getUnreadBlockingNews

    List<News> getUnreadBlockingNews(String userId)

  - ### acknowledgeNews

    void acknowledgeNews(String id, String userId)

  - ### getNews

    News getNews(String id)

  - ### getNewsByForeignId

    News getNewsByForeignId(String id)

  - ### submitNewsOnHomepage

    void submitNewsOnHomepage(String id, String userId)

  - ### performReminder

    void performReminder(org.silverpeas.core.reminder.Reminder reminder)
    Performs processes about news linked to given reminder.
    If news is not concerned, nothing is performed.
    Parameters:
      `reminder` - a `Reminder` instance.